%{?nodejs_find_provides_and_requires}

%global packagename acorn-object-spread

# Tests disabled due to missing tags in Github
%global enable_tests 0

Name:		nodejs-acorn-object-spread
Version:	1.0.0
Release:	1%{?dist}
Summary:	Support object spread in acorn

License:	MIT
URL:		https://github.com/UXtemple/acorn-object-spread
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(mocha)
BuildRequires:	npm(chai)
%endif

%description
Support object spread in acorn


%prep
%autosetup -n package

%nodejs_fixdep acorn

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
